plugins {
    kotlin("multiplatform") version "1.3.31"
}

group = "multiplatform.test"
version = "1.0-SNAPSHOT"

kotlin {
    jvm("forge")
    jvm("fabric")

    println(targets.names)
    sourceSets {
        val commonMain by getting {
            dependencies {
                implementation(kotlin("stdlib-common"))
            }
        }
        jvm("forge").compilations["main"].defaultSourceSet {
            dependencies {
                implementation(kotlin("stdlib-jdk8"))
            }
        }
        jvm("fabric").compilations["main"].defaultSourceSet {
            dependencies {
                implementation(kotlin("stdlib-jdk8"))
            }
        }
    }
}

repositories {
    mavenCentral()
}


